//
//  ELHygrothermographBleHeader.h
//  AILinkBleSDK
//
//  Created by cliCk on 2021/5/8.
//  Copyright © 2021 IOT. All rights reserved.
//

#ifndef ELHygrothermographBleHeader_h
#define ELHygrothermographBleHeader_h

/** 温湿度计 ble head type 枚举定义 */
typedef NS_ENUM (NSInteger, Hygrothermograph_BleHeadType) {
    /** App获取设备状态 */
    Hygrothermograph_BleHeadType_App_GetDevState        = 0x01 ,
    /** 设备定时返回设备状态 */
    Hygrothermograph_BleHeadType_MCU_ReturnDevState     = 0x02 ,
    /** App设备变化阀值 */
    Hygrothermograph_BleHeadType_App_SetDevThreshold    = 0x03 ,
    /** 设备定时返回阀值 */
    Hygrothermograph_BleHeadType_MCU_ReturnDevThreshold = 0x04 ,
    /** App读取设备的历史数据 */
    Hygrothermograph_BleHeadType_App_GetDevRecordData   = 0x05 ,
    /** 设备返回历史数据 */
    Hygrothermograph_BleHeadType_MCU_ReturnRecordData   = 0x06 ,
    /** 设置采样频率和保存频率 */
    Hygrothermograph_BleHeadType_APP_SetSamplingFrequency   = 0x07 ,
    /** 设备返回采样频率和保存频率 */
    Hygrothermograph_BleHeadType_MCU_ReturnSamplingFrequency = 0x08 ,
    /** App返回收到历史数据反馈 */
    Hygrothermograph_BleHeadType_App_DataFeedback        = 0x09 ,
};

#endif /* ELHygrothermographBleHeader_h */
